net.corda.flows

## Class IssuerFlow

- net.corda.flows.IssuerFlow

-     public class IssuerFlow

  This flow enables a client to request issuance of some `interface FungibleAsset` from a server acting as an issuer (see `class Issued`) of FungibleAssets.

  It is not intended for production usage, but rather for experimentation and testing purposes where it may be useful for creation of fake assets.

  See Also:
    `interface FungibleAsset`, `class Issued`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IssuerFlow.IssuanceRequestState`
    `static class` | `IssuerFlow.IssuanceRequester` IssuanceRequester should be used by a client to ask a remote node to issue some `interface FungibleAsset` with the given details. Returns the transaction created by the Issuer to move the cash to the Requester.
    `static class` | `IssuerFlow.Issuer` Issuer refers to a Node acting as a Bank Issuer of `interface FungibleAsset`, and processes requests from a `class IssuerFlow.IssuanceRequester` client. Returns the generated transaction representing the transfer of the `interface FungibleAsset` to the issue requester.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IssuerFlow` | `INSTANCE` This flow enables a client to request issuance of some `interface FungibleAsset` from a server acting as an issuer (see `class Issued`) of FungibleAssets.

- - ### Field Detail

    - #### INSTANCE

          public static IssuerFlow INSTANCE

      This flow enables a client to request issuance of some `interface FungibleAsset` from a server acting as an issuer (see `class Issued`) of FungibleAssets.

      It is not intended for production usage, but rather for experimentation and testing purposes where it may be useful for creation of fake assets.

      See Also:
        `interface FungibleAsset`, `class Issued`